import { Page } from "puppeteer";
import { z } from "zod";
export declare const ExportedIndexedDBDatabase: z.ZodObject<{
    name: z.ZodString;
    data: z.ZodAny;
    securityOrigin: z.ZodString;
}, "strip", z.ZodTypeAny, {
    data?: any;
    name: string;
    securityOrigin: string;
}, {
    data?: any;
    name: string;
    securityOrigin: string;
}>;
export declare type ExportedIndexedDBDatabase = z.infer<typeof ExportedIndexedDBDatabase>;
/**
 * @param securityOrigin get this from the "application > IndexedDB" developper panel
 * @returns databases
 */
export declare function getAllIndexedDB(page: Page, securityOrigin: string): Promise<{
    data?: any;
    name: string;
    securityOrigin: string;
}[]>;
export declare function setAllIndexedDB(page: Page, databases: ExportedIndexedDBDatabase[]): Promise<void>;
