"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setLocalStorage = exports.getLocalStorage = void 0;
async function getLocalStorage(page) {
    // STEALTH: use isolated worlds
    const localStorage = await page.evaluate(() => Object.assign({}, window.localStorage));
    return JSON.stringify(localStorage);
}
exports.getLocalStorage = getLocalStorage;
async function setLocalStorage(page, localStorage) {
    // STEALTH: use isolated worlds
    await page.evaluate((localStorage) => {
        for (const [key, val] of Object.entries(JSON.parse(localStorage))) {
            window.localStorage.setItem(key, val);
        }
    }, localStorage);
}
exports.setLocalStorage = setLocalStorage;
//# sourceMappingURL=localStorage.js.map