"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setSessionStorage = exports.getSessionStorage = void 0;
async function getSessionStorage(page) {
    return page.evaluate(() => JSON.stringify(Object.assign({}, window.sessionStorage)));
}
exports.getSessionStorage = getSessionStorage;
async function setSessionStorage(page, sessionStorage) {
    await page.evaluate((sessionStorage) => {
        for (const [key, val] of Object.entries(JSON.parse(sessionStorage))) {
            window.sessionStorage.setItem(key, val);
        }
    }, sessionStorage);
}
exports.setSessionStorage = setSessionStorage;
//# sourceMappingURL=sessionStorage.js.map