import { z } from "zod";
/**
 * @see https://chromedevtools.github.io/devtools-protocol/tot/IndexedDB/#method-requestDatabaseNames
 */
export declare const CDPIndexedDBDatabaseNames: z.ZodObject<{
    databaseNames: z.ZodArray<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    databaseNames: string[];
}, {
    databaseNames: string[];
}>;
export declare const SessionDataSchema: z.ZodObject<{
    localStorage: z.ZodString;
    sessionStorage: z.ZodString;
    indexedDBDatabases: z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        data: z.ZodAny;
        securityOrigin: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        data?: any;
        name: string;
        securityOrigin: string;
    }, {
        data?: any;
        name: string;
        securityOrigin: string;
    }>>;
    cookies: z.ZodString;
}, "strip", z.ZodTypeAny, {
    localStorage: string;
    sessionStorage: string;
    indexedDBDatabases: {
        data?: any;
        name: string;
        securityOrigin: string;
    }[];
    cookies: string;
}, {
    localStorage: string;
    sessionStorage: string;
    indexedDBDatabases: {
        data?: any;
        name: string;
        securityOrigin: string;
    }[];
    cookies: string;
}>;
