"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SessionDataSchema = exports.CDPIndexedDBDatabaseNames = void 0;
const zod_1 = require("zod");
const IndexedDB_1 = require("./providers/IndexedDB");
/**
 * @see https://chromedevtools.github.io/devtools-protocol/tot/IndexedDB/#method-requestDatabaseNames
 */
exports.CDPIndexedDBDatabaseNames = zod_1.z.object({
    databaseNames: zod_1.z.array(zod_1.z.string()),
});
exports.SessionDataSchema = zod_1.z.object({
    localStorage: zod_1.z.string(),
    sessionStorage: zod_1.z.string(),
    indexedDBDatabases: zod_1.z.array(IndexedDB_1.ExportedIndexedDBDatabase),
    cookies: zod_1.z.string(),
});
//# sourceMappingURL=schemas.js.map